Last Comment Bug 343893 - Add events for watching the addition and removal of tabs
: Add events for watching the addition and removal of tabs
Status: RESOLVED FIXED
: fixed-seamonkey1.1
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: Trunk
: x86 Windows XP
: -- enhancement (vote)
: seamonkey1.1final
Assigned To: Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
:
:
Mentors:
Depends on: 343096
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 11:36 PDT by Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
Modified: 2006-12-17 17:56 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
port of toolkit code (2.78 KB, patch)
2006-07-07 11:42 PDT, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
no flags Details | Diff | Splinter Review
patch v2 (3.30 KB, patch)
2006-12-13 18:23 PST, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
neil: superreview-
Details | Diff | Splinter Review
v3 (2.95 KB, patch)
2006-12-14 16:38 PST, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
neil: superreview+
Details | Diff | Splinter Review
v4 (3.99 KB, patch)
2006-12-16 08:12 PST, Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com]
neil: review+
kairo: approval‑seamonkey1.1+
Details | Diff | Splinter Review

Description Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-07-07 11:36:10 PDT
See Firefox bug 322898

This would be good for us to have too.  I don't think Neil really likes the API (it fires redundant events), but if we're going to provide this functionality, A) we'll have to take the tabbox.xml piece with the move to toolkit anyway B) for extensions, having the same API would make sense.
Comment 1 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-07-07 11:42:23 PDT
Created attachment 228448 [details] [diff] [review]
port of toolkit code

straight port of sspitzer's code
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2006-07-07 13:13:43 PDT
Bug 343096 will fix the multiple events issue.
Comment 3 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2006-08-31 07:21:06 PDT
Comment on attachment 228448 [details] [diff] [review]
port of toolkit code

what about TabMove?
Comment 4 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-05 19:08:26 PST
This missed SM1.1.
Comment 5 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-13 18:23:56 PST
Created attachment 248607 [details] [diff] [review]
patch v2
Comment 6 neil@parkwaycc.co.uk 2006-12-14 07:37:13 PST
Comment on attachment 248607 [details] [diff] [review]
patch v2

>+            // Support both the old "select" event and the new, redundant-but-in-toolkit
-but-no-longer-in-toolkit
Comment 7 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-14 16:38:32 PST
Created attachment 248697 [details] [diff] [review]
v3

(In reply to comment #6)
> (From update of attachment 248607 [details] [diff] [review] [edit])
> >+            // Support both the old "select" event and the new, redundant-but-in-toolkit
> -but-no-longer-in-toolkit
Comment 8 neil@parkwaycc.co.uk 2006-12-15 02:00:57 PST
Comment on attachment 248697 [details] [diff] [review]
v3

Looks good but I haven't tested it.

>+            var evt = document.createEvent("UIEvents");
>+            evt.initUIEvent("TabMove", true, false, window, aSrcIndex);
>+
Isn't this event supposed to be dispatched?
Comment 9 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-16 08:12:09 PST
Created attachment 248831 [details] [diff] [review]
v4

(In reply to comment #8)
> (From update of attachment 248697 [details] [diff] [review] [edit])
> Looks good but I haven't tested it.
> 
> >+            var evt = document.createEvent("UIEvents");
> >+            evt.initUIEvent("TabMove", true, false, window, aSrcIndex);
> >+
> Isn't this event supposed to be dispatched?

I guess so.
Comment 10 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-16 16:45:14 PST
Comment on attachment 248831 [details] [diff] [review]
v4

Checked in on trunk.
Comment 11 Robert Kaiser 2006-12-17 11:47:52 PST
Comment on attachment 248831 [details] [diff] [review]
v4

a=me for 1.1
Comment 12 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2006-12-17 17:56:58 PST
Checked in on branch (had to be edited to apply).

Note You need to log in before you can comment on or make changes to this bug.